<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:stoltnielsen="http://stoltnielsen.com/xbrl/2025" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" xmlns:num="http://www.xbrl.org/dtr/type/numeric" targetNamespace="http://stoltnielsen.com/xbrl/2025" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd" namespace="http://www.xbrl.org/dtr/type/2022-03-31" />
  <xs:import schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/numeric" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="stoltnielsen-2025-11-30_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="stoltnielsen-2025-11-30_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="stoltnielsen-2025-11-30_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="stoltnielsen-2025-11-30_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://stoltnielsen.com/xbrl/2025/roles/StatementOfComprehensiveIncome">
        <link:definition>01 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ProfitOrLoss" roleURI="http://stoltnielsen.com/xbrl/2025/roles/ProfitOrLoss">
        <link:definition>02 - Profit or loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://stoltnielsen.com/xbrl/2025/roles/StatementOfFinancialPosition">
        <link:definition>03 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://stoltnielsen.com/xbrl/2025/roles/StatementOfChangesInEquity">
        <link:definition>04 - Statement of changes in equity</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquityParenthetical" roleURI="http://stoltnielsen.com/xbrl/2025/roles/StatementOfChangesInEquityParenthetical">
        <link:definition>05 - Statement of changes in equity (Parenthetical)</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://stoltnielsen.com/xbrl/2025/roles/StatementOfCashFlows">
        <link:definition>06 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://stoltnielsen.com/xbrl/2025/roles/NotesAndMandatoryItems">
        <link:definition>07 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://stoltnielsen.com/xbrl/2025/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="stoltnielsen_ActuarialGainOnPensionSchemes" xbrli:balance="credit" xbrli:periodType="duration" name="ActuarialGainOnPensionSchemes" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_ShareOfActuarialGainOnPensionSchemeOfJointVenture" xbrli:balance="credit" xbrli:periodType="duration" name="ShareOfActuarialGainOnPensionSchemeOfJointVenture" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_NetLossOnCashFlowHedges" xbrli:balance="credit" xbrli:periodType="duration" name="NetLossOnCashFlowHedges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_ShareOfNetLossOnCashFlowHedgesHeldByJointVentures" xbrli:balance="credit" xbrli:periodType="duration" name="ShareOfNetLossOnCashFlowHedgesHeldByJointVentures" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_ExchangeDifferencesArisingOnTranslationOfForeignOperations" xbrli:balance="credit" xbrli:periodType="duration" name="ExchangeDifferencesArisingOnTranslationOfForeignOperations" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_ExchangeDifferencesArisingOnTranslationOfJointVenturesAndAssociates" xbrli:balance="credit" xbrli:periodType="duration" name="ExchangeDifferencesArisingOnTranslationOfJointVenturesAndAssociates" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_NetOperatingIncomeExpenses" xbrli:balance="credit" xbrli:periodType="duration" name="NetOperatingIncomeExpenses" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_GainOnStepUpAcquisitionsOfAvenirAndHasselShipping4AS" xbrli:balance="credit" xbrli:periodType="duration" name="GainOnStepUpAcquisitionsOfAvenirAndHasselShipping4AS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_OtherNonOperatingIncomeNet" xbrli:balance="credit" xbrli:periodType="duration" name="OtherNonOperatingIncomeNet" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_AccountsPayable" xbrli:balance="credit" xbrli:periodType="instant" name="AccountsPayable" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_AccruedVoyageExpensesAndUnearnedRevenue" xbrli:balance="credit" xbrli:periodType="instant" name="AccruedVoyageExpensesAndUnearnedRevenue" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_AccruedExpensesAndDeferredRevenue" xbrli:balance="credit" xbrli:periodType="instant" name="AccruedExpensesAndDeferredRevenue" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_FoundersShares" xbrli:balance="credit" xbrli:periodType="instant" name="FoundersShares" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_CommonShares" xbrli:balance="credit" xbrli:periodType="instant" name="CommonShares" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_EquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares" xbrli:balance="credit" xbrli:periodType="instant" name="EquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_CashDividendsPaidCommonShare" xbrli:balance="debit" xbrli:periodType="duration" name="CashDividendsPaidCommonShare" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_CashDividendsPaidFoundersShare" xbrli:balance="debit" xbrli:periodType="duration" name="CashDividendsPaidFoundersShare" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_ConsolidationOfAvenirLNGLtd" xbrli:balance="credit" xbrli:periodType="duration" name="ConsolidationOfAvenirLNGLtd" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_AcquisitionOfAvenirLNGLtdNonControllingInterests" xbrli:balance="debit" xbrli:periodType="duration" name="AcquisitionOfAvenirLNGLtdNonControllingInterests" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_AcquisitionOfSuttonsInternationalHoldingsLimited" xbrli:balance="debit" xbrli:periodType="duration" name="AcquisitionOfSuttonsInternationalHoldingsLimited" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_TransferOnDisposalOfGaneshBenzoplastLimitedShares" xbrli:balance="credit" xbrli:periodType="duration" name="TransferOnDisposalOfGaneshBenzoplastLimitedShares" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_OtherComponentsOfEquity" xbrli:balance="debit" xbrli:periodType="instant" name="OtherComponentsOfEquity" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_InterimDividendsForFoundersShares" xbrli:balance="credit" xbrli:periodType="duration" name="InterimDividendsForFoundersShares" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_InterimDividendsForCommonShares" xbrli:balance="credit" xbrli:periodType="duration" name="InterimDividendsForCommonShares" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_DebtIssuanceCostsClassifiedAsOperatingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="DebtIssuanceCostsClassifiedAsOperatingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_AcquisitionOfAdditionalSharesInAvenirLNGLtdNetOfCashAcquiredClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="AcquisitionOfAdditionalSharesInAvenirLNGLtdNetOfCashAcquiredClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_AcquisitionOfAdditionalSharesInHasselShipping4ASNetOfCashAcquiredClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="AcquisitionOfAdditionalSharesInHasselShipping4ASNetOfCashAcquiredClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_AcquisitionOfSuttonsInternationalHoldingsLimitedNetOfCashAcquiredClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="AcquisitionOfSuttonsInternationalHoldingsLimitedNetOfCashAcquiredClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_DepositsForNewbuildingsClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="DepositsForNewbuildingsClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_PurchaseOfStoltVenturesInvestmentsClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfStoltVenturesInvestmentsClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_PurchaseOfGolarConvertibleNotesClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfGolarConvertibleNotesClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_PurchaseOfAvenirLNGLtdSNonControllingInterestClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfAvenirLNGLtdSNonControllingInterestClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stoltnielsen_DisclosureOfCommonSharesFoundersSharesPaidInSurplusAndDividendsDeclared" xbrli:periodType="duration" name="DisclosureOfCommonSharesFoundersSharesPaidInSurplusAndDividendsDeclared" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="stoltnielsen_InterimDividendPerCommonShare" xbrli:periodType="duration" name="InterimDividendPerCommonShare" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" />
  <xs:element id="stoltnielsen_InterimDividendPerFoundersShare" xbrli:periodType="duration" name="InterimDividendPerFoundersShare" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" />
  <xs:element id="stoltnielsen_FinalDividendPerCommonShare" xbrli:periodType="duration" name="FinalDividendPerCommonShare" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" />
</xs:schema>